Subject: bug#79408: 31.0.50; VC commands for cherry-picking

From: Sean Whitton <[email-masked]>
Date: Wed, 10 Sep 2025 10:54:25 +0100

Hello,

On Tue 09 Sep 2025 at 09:01pm +03, Juri Linkov wrote:

>>>> This reminded me of how we don't have a way to do format-patch using vc;
>>>> that's somewhat related, and would be nice to support.
>>>
>>> We do!  'M-x vc-prepare-patch' is the interactive entry point.
>>
>> Ah, right.  I never use that because I always interact with Emacs
>> development via Gnus, mostly via debbugs.el, and I just manually attach
>> patches to my emails.  (debbugs.el also has some way to format a patch
>> but I've never gotten it to work)
>
> We still miss the command with a name like 'vc-attach-patch'
> that would attach a marked revision to the current message.

I have something like this in mailscripts.el, an external package of
mine.  We have all the pieces to do it in core, though, and it would be
useful indeed to be able to do it by marking a revision.

-- 
Sean Whitton